Subject: Re: bug#35044: 25.2; Description of "disappearing" faces (Emacs Manual)

From: Noam Postavsky <[email-masked]>
Date: Mon, 22 Apr 2019 16:59:23 -0400

Sebastian Urban <[email-masked]> writes:

> I would like to remind that the target is someone new to Emacs or as
> I wrote before "(...) from perspective of *beginner* (...)".  Now,
> which Emacs beginner will look into Elisp manual?

> buffer’s major mode tells Font Lock mode which text to fontify; for
> instance, programming language modes fontify syntactically relevant
> -constructs like comments, strings, and function names.
> +constructs like comments, strings, and function names.  Any faces not
> +defined as font-lock-faces or by major mode will be ignored by Font
> +Lock mode, i.e. these faces will not be applied.

I'm unclear how this will help a beginner user.  It sounds like
it's describing a potential source of buggy behaviour.  But we don't
want the manual to excuse buggy behaviour, we rather want users to
report bugs.

> Maybe instead of "Any faces", "Most faces" should be used (I'm
> thinking about hardcoded faces for example).

Not sure what you mean by "hardcoded" faces.

>> If I understand correctly, this is rather a bug in table.el: it should
>> use 'font-lock-face instead of 'face, and then all this buggy
>> behaviour will go away.  Perhaps you'd like to send a patch?
>
> Wouldn't this change ('face -> 'font-lock-face) also kill main problem
> of this bug(#35044) - disappearing face?  Of course only for table.

Yes, I think so (that's what I meant by "all").

> Because if so, in addition to manual update, maybe a code update in
> table.el would be nice thing to do - kind of "2 for 1"?
>
> Unfortunately I'm last person who should do code updates right now -
> I didn't even finish first 14 chapters of Emacs manual... yet.

Jump in the deep end!  You'll learn faster that way :)